Skip to main content

Company Verification

Company verification confirms that a business entity is legitimately registered and in good standing with relevant authorities.

Verification Process​

1. Submit Company Information​

Provide basic company details:

curl -X POST https://api.bytrustgate.com/api/v1/companies \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"legal_name": "Acme Corporation Ltd",
"trading_name": "Acme",
"registration_number": "12345678",
"tax_id": "98-7654321",
"incorporation_date": "2015-06-15",
"incorporation_country": "USA",
"legal_form": "corporation",
"industry": "technology",
"registered_address": {
"line1": "100 Business Park",
"city": "San Francisco",
"state": "CA",
"postal_code": "94102",
"country": "USA"
}
}'

2. Registry Verification​

TrustGate checks company details against official registries:

CountryRegistry
USAState Secretary of State databases
UKCompanies House
GermanyHandelsregister
FranceInfogreffe
SingaporeACRA
Hong KongCompanies Registry
AustraliaASIC

3. Verification Results​

{
"id": "660e8400-e29b-41d4-a716-446655440001",
"legal_name": "Acme Corporation Ltd",
"registration_number": "12345678",
"verification": {
"status": "verified",
"registry_match": true,
"registry_source": "California Secretary of State",
"verified_at": "2025-01-20T10:30:00Z",
"details": {
"registered_name": "ACME CORPORATION LTD",
"status": "active",
"formation_date": "2015-06-15",
"jurisdiction": "California",
"registered_agent": "CT Corporation System"
}
}
}

Required Documents​

Certificate of Incorporation​

Proves the company was legally formed.

curl -X POST https://api.bytrustgate.com/api/v1/documents \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "company_id=660e8400-e29b-41d4-a716-446655440001" \
-F "type=certificate_of_incorporation" \
-F "file=@incorporation_cert.pdf"

Articles of Association​

Defines company governance rules.

Shareholder Register​

Lists all shareholders and ownership percentages.

Board Resolution​

Authorizes the business relationship.

Company Statuses​

StatusDescription
activeCompany is in good standing
dissolvedCompany has been dissolved
struck_offRemoved from register
suspendedTemporarily inactive
in_liquidationBeing wound down
FormCountries
Corporation (Corp/Inc)USA, Canada
Limited Company (Ltd)UK, HK, SG
LLCUSA
GmbHGermany, Austria, Switzerland
SARLFrance, Belgium
BVNetherlands
Pty LtdAustralia

Verification Checks​

CheckDescription
Name matchLegal name matches registry
Registration numberNumber is valid
Status checkCompany is active
Address matchRegistered address matches
Director checkDirectors match filings

Next Steps​